Skip to main content
GET
/
api
/
v1
/
llm
/
speech
/
transcriptions
/
history
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.speech.list_transcription_history(after="tts_aa87e2b1112a455b8deabed784372198", limit=20, order="desc")

    # Handle response
    print(res)
{
  "object": "list",
  "data": [
    {
      "id": "stt_aa87e2b1112a455b8deabed784372198",
      "object": "speech.transcription",
      "text": "Hello, this is a sample transcription of the audio file.",
      "language": "en",
      "confidence": 0.95,
      "model": "auto",
      "provider_id": "azure",
      "filename": "audio.wav",
      "audio_bytes": 120000,
      "audio_mime_type": "audio/wav",
      "speakers": null,
      "streaming": false,
      "metadata": {},
      "created_at": 1704067200
    }
  ],
  "first_id": "stt_aa87e2b1112a455b8deabed784372198",
  "last_id": "stt_aa87e2b1112a455b8deabed784372198",
  "has_more": false
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Query Parameters

after
string

History item ID to list items after (pagination cursor).

limit
integer
default:20

Maximum number of items to return (1-100, default 20).

Required range: 1 <= x <= 100
order
enum<string>
default:desc

Sort order by creation time. Defaults to 'desc' (newest first).

Available options:
asc,
desc
model
string

Filter results to a specific model id.

Response

200 - application/json

OK

A paginated list of speech-to-text history items.

object
any
required
data
object[]
required
has_more
boolean
required
first_id
string
last_id
string